Subject: [rtcweb] I-D Action: draft-ietf-rtcweb-rtp-usage-07.txt

From: [email-masked]
Date: Mon, 15 Jul 2013 14:57:26 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Real-Time Communication in WEB-browsers Working Group of the IETF.

	Title           : Web Real-Time Communication (WebRTC): Media Transport and Use of RTP
	Author(s)       : Colin Perkins
                          Magnus Westerlund
                          Joerg Ott
	Filename        : draft-ietf-rtcweb-rtp-usage-07.txt
	Pages           : 61
	Date            : 2013-07-15

Abstract:
   The Web Real-Time Communication (WebRTC) framework provides support
   for direct interactive rich communication using audio, video, text,
   collaboration, games, etc.  between two peers' web-browsers.  This
   memo describes the media transport aspects of the WebRTC framework.
   It specifies how the Real-time Transport Protocol (RTP) is used in
   the WebRTC context, and gives requirements for which RTP features,
   profiles, and extensions need to be supported.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-rtcweb-rtp-usage

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-rtcweb-rtp-usage-07

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-rtcweb-rtp-usage-07

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Colin Perkins <[email-masked]>
Date: Thu, 18 Jul 2013 22:19:06 +0100

Hi,

I submitted an update to the RTCWEB RTP usage draft. This version tries to address the comments that have been made to the list over the last couple of months. The changes in this version are as follows:

- In Section 4.1, expand discussion of multiple simultaneous SSRC values in a single RTP session, referencing draft-ietf-avtcore-rtp-multi-stream and draft-ietf-avtcore-rtp-multi-stream-optimisation. Add a note suggesting that draft-westerlund-mmusic-max-ssrc might be a useful addition.

- In Section 4.3, expand discussion of RTP payload type assignment, and briefly explain how the RTP payload type can be used to associate an RTP media stream with a signalling context (e.g., an SDP "m=" line).

- In Section 4.3, clarify that this memo does not specify mandatory to implement codecs or RTP payload formats. Also clarify that any codec where there is an RTP payload format and SDP offer/answer procedures defined can be used with WebRTC, provided it is negotiated.

- In Section 4.4, clarify that a single RTP session is to be used for all RTP media streams. Note that there is no consensus to use a shim-based approach.

- In Section 4.8, clarify that implementations MUST be prepared to accept RTP and RTCP packets using SSRCs that have not been explicitly signalled. Briefly explain how RTP media streams can be associated with a signalling context, using either a signalled SSRC or the RTP payload type.

- In Section 5.2.1, clarify that the rapid synchronisation extensions are in addition to RTCP SR-based synchronisation, and do not replace it.

- In Section 6.1, add a reference to RFC 3550 to explain how to do the RTT calculation from SR/RR packets.

- Remove the first paragraph of Section 7.2, since the issue is covered by the text in the last paragraph of Section 7.1.

- Move the remaining content from Section 7.2 to the end of Section 7.4, where it fits better.

- In what was Section 7.4, and is now Section 7.3, add some words about interoperability between sender- and receiver-driven congestion control. This issue is not solvable in this draft, since we don't yet have any standardised congestion control algorithms of either type, however it is important to note that it needs to be addressed when future congestion control algorithms are defined.

- Rewrite Section 8, on Performance Monitoring, to reflect the discussion at IETF 86.

- Add a note to Section 12.2 about the issue #20 in the RTCWEB issue tracker

- Editorial fixes to Sections 1, 2, 4.2, 4.5, 4.6, 4.7, 5.1, 6, 7, 10, and 11.

- Update list of open issues.

The draft contains a list of open issues in Section 15. Also, note that Sections 11, 12, and Appendix A have yet to be updated, due to running out of time before the submission deadline.

Comments are appreciated. 

Colin

On 15 Jul 2013, at 22:57, [email-masked] wrote:
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb

-- 
Colin Perkins
http://csperkins.org/